import org.ejml.simple.SimpleMatrix;

public abstract class Layer {
    SimpleMatrix input;
    SimpleMatrix output;

    public abstract SimpleMatrix forwardPropagation(SimpleMatrix inputs);

    public abstract SimpleMatrix backwardPropagation(SimpleMatrix outputError, double learningRate);
}
